> ## Documentation Index
> Fetch the complete documentation index at: https://docs.querying.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Myntra API

> Myntra の商品を検索し、商品ページを読み取って JSON で受け取ります。検索結果の順位と価格、評価、レビュー数、ブランド、商品ページの価格、在庫、販売者、画像、仕様、オプションを返します。

Myntra（myntra.com）の商品を検索し、商品ページを非同期タスク API で読み取ります。`COMMERCE_SERP` に `site` `myntra` を指定すると検索結果の商品をストアの順に受け取り、`COMMERCE_PRODUCT` に商品の `url` を渡すとその商品を 1 つ読み取ります。完了した検索または商品ページ 1 件につき **0.5 クレジット**です。

## 検索

```bash theme={"theme":"css-variables"}
curl -X POST https://api.querying.ai/v1/async/task \
  -H "Authorization: Bearer $QUERYING_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "taskType": "COMMERCE_SERP", "payload": { "site": "myntra", "query": "sneakers", "limit": 3 } }'
```

タスクを送信したあと、`GET /v1/async/task/{id}` をポーリングするか Webhook で受け取ります。[非同期タスク](https://docs.querying.ai/ja/concepts/async-tasks.md)を参照してください。

### パラメータ

* `site`: 必須。`myntra` です。
* `query`: 必須。検索語で、1-500 文字です。
* `limit`: 任意の整数、1-40。デフォルトは 20 です。
* `country`: 任意。デフォルトはストアの国の `IN` です。ほかの国は `422 REGION_UNSUPPORTED` で拒否されます。

受け付けるペイロードフィールドは上記のみです。`include` は省略してください。`include: {}` でも、クレジットを確保する前に `payload.include` の `422 VALIDATION_ERROR` を返します。

### レスポンス例

```json theme={"theme":"css-variables"}
{
  "site": "myntra",
  "query": "sneakers",
  "country": "IN",
  "returnedCount": 3,
  "products": [
    {
      "rank": 1,
      "productId": "40798374",
      "title": "HOOH Now Comfort in Fashion Unisex Kids Printed Sneakers",
      "url": "https://www.myntra.com/casual-shoes/hooh+now+comfort+in+fashion/hooh-now-comfort-in-fashion-unisex-kids-printed-sneakers/40798374/buy",
      "price": 449,
      "currency": "INR",
      "rating": 4.35,
      "reviewCount": 3055,
      "brand": "HOOH Now Comfort in Fashion",
      "imageUrl": "https://assets.myntassets.com/assets/images/2026/MARCH/20/zUPzdzp5_70f1e395e8d042d2969657860b9aaf07.jpg"
    },
    {
      "rank": 2,
      "productId": "32064729",
      "title": "HRX by Hrithik Roshan Unisex Round Toe Lace-Ups Sneakers",
      "url": "https://www.myntra.com/casual-shoes/hrx+by+hrithik+roshan/hrx-by-hrithik-roshan-unisex-round-toe-lace-ups-sneakers/32064729/buy",
      "price": 1169,
      "currency": "INR",
      "rating": 4.35,
      "reviewCount": 671,
      "brand": "HRX by Hrithik Roshan",
      "imageUrl": "https://assets.myntassets.com/assets/images/2026/JULY/17/3kK7Oh2n_f6291ca1421c4245aa70a589409e30d5.jpg"
    },
    {
      "rank": 3,
      "productId": "39696369",
      "title": "Crazyly Boys Colourblocked Sneakers",
      "url": "https://www.myntra.com/casual-shoes/crazyly/crazyly-boys-colourblocked-sneakers/39696369/buy",
      "price": 426,
      "currency": "INR",
      "rating": 4.43,
      "reviewCount": 1185,
      "brand": "Crazyly",
      "imageUrl": "https://assets.myntassets.com/assets/images/2026/JANUARY/30/36HCRFpd_23147e129ea44c6c84feb7269c5c7d8f.jpg"
    }
  ]
}
```

### 結果フィールド

* `site`、`query`、`country` はリクエストの値です。`returnedCount` は `products` の件数です。
* 各商品は `rank`、`productId`、`title`、`url` を含みます。`productId` はストア独自の商品 ID です。`rank` はストアのデフォルトの並び順で、ストアが広告と表示した商品は除きます。
* `price`、`rating`、`reviewCount`、`imageUrl`、`brand` は、検索結果の画面に表示されている場合に含みます。`price` は商品ごとの `currency`（ISO 4217）の数値で、容量ごとに価格が異なる場合は最も低い価格です。
* `rating` は 5 点満点です。 999+ のように省略表示されたレビュー数は含みません。
* 検索ごとに、ストアの検索結果の 1 ページ目から商品を取得します。このページには最大 32 件の商品が表示されます。

## 商品ページ

```bash theme={"theme":"css-variables"}
curl -X POST https://api.querying.ai/v1/async/task \
  -H "Authorization: Bearer $QUERYING_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "taskType": "COMMERCE_PRODUCT", "payload": { "url": "https://www.myntra.com/casual-shoes/hooh+now+comfort+in+fashion/hooh-now-comfort-in-fashion-unisex-kids-printed-sneakers/40798374/buy" } }'
```

### パラメータ

* `url`: 必須。Myntra の商品ページで、2,048 文字以内です。形式は `myntra.com/{category}/{brand}/{name}/{id}/buy` です。検索結果の商品 `url` はそのまま渡せます。トラッキングコードなど結果に影響しないパラメータは読み取り前に取り除きます。
* `country`: 任意。デフォルトはページの国の `IN` です。ほかの国は `422 REGION_UNSUPPORTED` で拒否されます。

受け付けるペイロードフィールドは上記のみです。`include` は省略してください。`include: {}` でも、クレジットを確保する前に `payload.include` の `422 VALIDATION_ERROR` を返します。

### レスポンス例

```json theme={"theme":"css-variables"}
{
  "site": "myntra",
  "country": "IN",
  "url": "https://www.myntra.com/casual-shoes/hooh+now+comfort+in+fashion/hooh-now-comfort-in-fashion-unisex-kids-printed-sneakers/40798374/buy",
  "productId": "40798374",
  "title": "HOOH Now Comfort in Fashion Unisex Kids Printed Sneakers",
  "brand": "HOOH Now Comfort in Fashion",
  "price": 449,
  "listPrice": 1299,
  "currency": "INR",
  "inStock": true,
  "seller": "SHYAMA FOOTWEAR",
  "rating": 4.35,
  "reviewCount": 3055,
  "images": [
    "https://assets.myntassets.com/h_1080,q_90,w_720/v1/assets/images/2026/MARCH/20/zUPzdzp5_70f1e395e8d042d2969657860b9aaf07.jpg",
    "https://assets.myntassets.com/h_1080,q_90,w_720/v1/assets/images/2026/MARCH/20/dD7f2uen_4d48e5687b604489ab603d6ec6385406.jpg"
  ],
  "description": "Product Details",
  "specs": [
    { "name": "Ankle Height", "value": "Regular" },
    { "name": "Collection Name", "value": "LST Casual Shoes" },
    { "name": "Fastening", "value": "Velcro" }
  ],
  "options": [{ "name": "Size", "values": ["12-18M", "18-24M", "2-2.5Y", "2.5-3Y"] }],
  "categories": ["Footwear", "Shoes", "Casual Shoes"]
}
```

### 結果フィールド

* `site`、`country`、`url`、`productId` でページを識別します。`url` は読み取ったページで、`productId` は検索結果の ID と同じです。
* `title` は常に含みます。`brand`、`price`、`listPrice`、`currency`、`inStock`、`seller`、`rating`、`reviewCount`、`images`、`description`、`specs`、`options`、`categories` は、ページに表示されている場合に含みます。
* `price` は、クーポンと送料を適用する前にページが最初に表示する購入価格で、`currency`（ISO 4217）の値です。 `listPrice` はページが取り消し線で表示する通常価格で、`price` より高い場合だけ含みます。 `inStock` は在庫の有無です。 `seller` は販売者です。
* `rating` は小数第 2 位までの 5 点満点の評価です。 `reviewCount` はレビュー数です。
* `images` は商品ギャラリーの写真を、ページの順に最大 30 枚含みます。
* `description` は段落ごとに 1 行のプレーンテキストで、最大 10,000 文字です。画像の中にしかない文字は含みません。
* `specs` は商品詳細の `{ name, value }` の組を最大 100 個含みます。 `options` はサイズや色などの選択肢を最大 20 個、選択肢ごとに `values` を最大 100 個含みます。ほかのフィールドは、ページが最初に選択している選択肢のものです。 `categories` は最も広いカテゴリから最も狭いカテゴリまでの、最大 10 階層です。

## エラーと課金

* 商品が 1 つもない検索は、失敗したタスクとして終了します。
* ストアが 404 または 410 で応答する商品ページ（削除された商品など）は `PAGE_UNAVAILABLE` で終了し、メッセージにストアの応答が入ります。ストアが 403、412、429、435 で読み取りを拒否した場合、タスクは待機して最大 6 分間再試行します。ほかの読み取り失敗と、それより長く続く拒否は `ENGINE_NO_RESULT` で終了します。
* 課金は完了したタスクだけで、検索または商品ページ 1 件につき 0.5 クレジットです。

## 関連

* [Flipkart](https://docs.querying.ai/ja/engines/flipkart.md)
* [Nykaa](https://docs.querying.ai/ja/engines/nykaa.md)
* [Commerce のストア一覧](https://docs.querying.ai/ja/engines/overview.md#commerce)
* [クレジットと上限](https://docs.querying.ai/ja/concepts/credits-and-limits.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.